scala.tools.reflect

# WrappedProperties

#### trait WrappedProperties extends PropertiesTrait

For placing a wrapper function around property functions. Motivated by places like google app engine throwing exceptions on property lookups.

Source
  WrappedProperties.scala

Linear Supertypes
PropertiesTrait, AnyRef, Any
Known Subclasses
AccessControl
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. WrappedProperties
2. PropertiesTrait
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def wrap[T](body: ⇒ T): Option[T]

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from WrappedProperties to any2stringadd[WrappedProperties] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (WrappedProperties, B)

   Implicit information
     This member is added by an implicit conversion from WrappedProperties to ArrowAssoc[WrappedProperties] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clearProp(name: String): String

   Definition Classes
     WrappedProperties → PropertiesTrait

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val copyrightString: String

   Definition Classes
     PropertiesTrait

10. #### val developmentVersion: Option[String]

    Definition Classes
      PropertiesTrait

11. #### def encodingString: String

    Definition Classes
      PropertiesTrait

12. #### def ensuring(cond: (WrappedProperties) ⇒ Boolean, msg: ⇒ Any): WrappedProperties

    Implicit information
      This member is added by an implicit conversion from WrappedProperties to Ensuring[WrappedProperties] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (WrappedProperties) ⇒ Boolean): WrappedProperties

    Implicit information
      This member is added by an implicit conversion from WrappedProperties to Ensuring[WrappedProperties] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): WrappedProperties

    Implicit information
      This member is added by an implicit conversion from WrappedProperties to Ensuring[WrappedProperties] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): WrappedProperties

    Implicit information
      This member is added by an implicit conversion from WrappedProperties to Ensuring[WrappedProperties] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def envOrElse(name: String, alt: String): String

    Definition Classes
      WrappedProperties → PropertiesTrait

17. #### def envOrNone(name: String): Option[String]

    Definition Classes
      WrappedProperties → PropertiesTrait

18. #### def envOrSome(name: String, alt: Option[String]): Option[String]

    Definition Classes
      WrappedProperties → PropertiesTrait

19. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from WrappedProperties to StringFormat[WrappedProperties] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### def isJavaAtLeast(version: String): Boolean

    Definition Classes
      PropertiesTrait

27. #### def isMac: Boolean

    Definition Classes
      PropertiesTrait

28. #### def isWin: Boolean

    Definition Classes
      PropertiesTrait

29. #### def javaClassPath: String

    Definition Classes
      PropertiesTrait

30. #### def javaHome: String

    Definition Classes
      PropertiesTrait

31. #### def javaSpecName: String

    Definition Classes
      PropertiesTrait

32. #### def javaSpecVendor: String

    Definition Classes
      PropertiesTrait

33. #### def javaSpecVersion: String

    Definition Classes
      PropertiesTrait

34. #### def javaVendor: String

    Definition Classes
      PropertiesTrait

35. #### def javaVersion: String

    Definition Classes
      PropertiesTrait

36. #### def javaVmInfo: String

    Definition Classes
      PropertiesTrait

37. #### def javaVmName: String

    Definition Classes
      PropertiesTrait

38. #### def javaVmVendor: String

    Definition Classes
      PropertiesTrait

39. #### def javaVmVersion: String

    Definition Classes
      PropertiesTrait

40. #### def jdkHome: String

    Definition Classes
      PropertiesTrait

41. #### def lineSeparator: String

    Definition Classes
      PropertiesTrait

42. #### def main(args: Array[String]): Unit

    Definition Classes
      PropertiesTrait

43. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

44. #### final def notify(): Unit

    Definition Classes
      AnyRef

45. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

46. #### def osName: String

    Definition Classes
      PropertiesTrait

47. #### def pickJarBasedOn: Class[_ <: WrappedProperties]

    Attributes
      protected
    Definition Classes
      WrappedProperties → PropertiesTrait

48. #### def propCategory: String

    Attributes
      protected
    Definition Classes
      WrappedProperties → PropertiesTrait

49. #### val propFilename: String

    Attributes
      protected
    Definition Classes
      PropertiesTrait

50. #### def propIsSet(name: String): Boolean

    Definition Classes
      WrappedProperties → PropertiesTrait

51. #### def propIsSetTo(name: String, value: String): Boolean

    Definition Classes
      PropertiesTrait

52. #### def propOrElse(name: String, alt: String): String

    Definition Classes
      WrappedProperties → PropertiesTrait

53. #### def propOrEmpty(name: String): String

    Definition Classes
      PropertiesTrait

54. #### def propOrFalse(name: String): Boolean

    Definition Classes
      PropertiesTrait

55. #### def propOrNone(name: String): Option[String]

    Definition Classes
      PropertiesTrait

56. #### def propOrNull(name: String): String

    Definition Classes
      PropertiesTrait

57. #### val releaseVersion: Option[String]

    Definition Classes
      PropertiesTrait

58. #### def scalaCmd: String

    Definition Classes
      PropertiesTrait

59. #### def scalaHome: String

    Definition Classes
      PropertiesTrait

60. #### def scalaPropOrElse(name: String, alt: String): String

    Definition Classes
      PropertiesTrait

61. #### def scalaPropOrEmpty(name: String): String

    Definition Classes
      PropertiesTrait

62. #### def scalaPropOrNone(name: String): Option[String]

    Definition Classes
      PropertiesTrait

63. #### lazy val scalaProps: Properties

    Attributes
      protected
    Definition Classes
      PropertiesTrait

64. #### def scalacCmd: String

    Definition Classes
      PropertiesTrait

65. #### def setProp(name: String, value: String): String

    Definition Classes
      WrappedProperties → PropertiesTrait

66. #### def sourceEncoding: String

    Definition Classes
      PropertiesTrait

67. #### def sourceReader: String

    Definition Classes
      PropertiesTrait

68. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

69. #### def systemProperties: List[(String, String)]

70. #### def tmpDir: String

    Definition Classes
      PropertiesTrait

71. #### def toString(): String

    Definition Classes
      AnyRef → Any

72. #### def userDir: String

    Definition Classes
      PropertiesTrait

73. #### def userHome: String

    Definition Classes
      PropertiesTrait

74. #### def userName: String

    Definition Classes
      PropertiesTrait

75. #### def versionMsg: String

    Definition Classes
      PropertiesTrait

76. #### def versionNumberString: String

    Definition Classes
      PropertiesTrait

77. #### val versionString: String

    Definition Classes
      PropertiesTrait

78. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

79. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

80. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

81. #### def →[B](y: B): (WrappedProperties, B)

    Implicit information
      This member is added by an implicit conversion from WrappedProperties to ArrowAssoc[WrappedProperties] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from PropertiesTrait

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from WrappedProperties to any2stringadd[WrappedProperties]

### Inherited by implicit conversion StringFormat from WrappedProperties to StringFormat[WrappedProperties]

### Inherited by implicit conversion Ensuring from WrappedProperties to Ensuring[WrappedProperties]

### Inherited by implicit conversion ArrowAssoc from WrappedProperties to ArrowAssoc[WrappedProperties]

### Ungrouped